{ pkgs, ... }:
{
  imports = [
    ./bat.nix
    ./fish.nix
    ./neofetch.nix
    ./starship.nix
    ./tmux.nix
  ];

  home.packages = with pkgs; [
    autojump
    bc
    comma
    exa
    fd
    httpie
    jq
    nixfmt
    procs
    progress
    ripgrep
    tldr
    trash-cli
    tree
  ];
}
