{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.neofetch;

in {

  options.features.neofetch.enable = mkEnableOption "enable neofetch shell";

  config = mkIf cfg.enable {
    programs.fish.interactiveShellInit = "neofetch --ascii-distro nixos";
    home.packages = with pkgs; [ neofetch ];
  };
}
