{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.fish;

in {

  options.features.starship.enable = mkEnableOption "enable starship prompt";

  config = mkIf cfg.enable {
    programs.starship = {
      enable = true;
      enableFishIntegration = true;
    };
  }; }
