{
  programs.rofi = {
    enable = true;
    plugins = [ pkgs.rofi-calc pkgs.rofi-emoji ];
    theme = "themes/dracula";
    extraConfig = {
      modi = "drun,ssh,filebrowser,keys,window";
      kb-primary-paste = "Control+V,Shift+Insert";
      kb-secondary-paste = "Control+v,Insert";
    };
  };

  programs.rofi.pass = {
    enable = true;
    extraConfig = ''
      layout_cmd () {
        setxkbmap de
      }
    '';
  };
}
